## tomb 2.4+dfsg1

=== Makefile ===
PROG = tomb
PREFIX ?= /usr/local
MANDIR ?= ${PREFIX}/share/man

all:
	@echo
	@echo "Tomb is a script and does not need compilation, it can be simply executed."
	@echo
	@echo "To install it in /usr/local together with its manpage use 'make install'."
	@echo
	@echo "To run Tomb one needs to have some tools installed on the system:"
	@echo "Sudo, cryptsetup, pinentry and gnupg. Also wipe is recommended."
	@echo

install:
	install -Dm755 ${PROG} ${DESTDIR}${PREFIX}/bin/${PROG}
	install -Dm644 doc/${PROG}.1 ${DESTDIR}${MANDIR}/man1/${PROG}.1
	@echo
	@echo "Tomb is installed succesfully. To install language translations, make sure"
	@echo "gettext is also installed, then 'cd extras/translations' and 'make install' there."
	@echo
	@echo "Look around the extras/ directory, it contains other interesting modules."
	@echo

test:
	make -C extras/test

lint:
	shellcheck -s zsh -e SC1073,SC1027,SC1072,SC1083,SC1009 tomb

=== debian/changelog ===
tomb (2.4+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #611660).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 21 Jul 2017 19:09:45 +0800

=== debian/control ===
Source: tomb
Section: utils
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.0.0
Homepage: https://www.dyne.org/software/tomb/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/tomb.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-security/tomb.git

Package: tomb
Architecture: all
Depends: ${misc:Depends},
         cryptsetup-bin,
         gnupg,
         pinentry-curses | pinentry,
         sudo,
         zsh,
Description: crypto undertaker
 Tomb is a free and easy to operate desktop application for fairly strong
 encryption of personal files. A tomb is like a locked folder that can be
 transported and hidden in filesystems; its keys are password protected and can
 be kept separate, for instance keeping the tomb file in your computer's
 harddisk and the key file on a USB stick.
 .
 Tomb relies on dm-crypt (and cryptsetup) as an encryption backend using the
 aes-cbc-essiv:sha256 cypher.

## tomb 2.5%2Bdfsg1

=== debian/changelog ===
tomb (2.5+dfsg1-2) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump Standards-Version to 4.2.1
  * d/rules:
    - Add override_dh_missing target (--fail-missing)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 26 Sep 2018 22:48:40 +0800

tomb (2.5+dfsg1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add e2fsprogs dependency (Closes: #887295)

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Feb 2018 13:29:49 +0800

## tomb 2.5+dfsg1

=== extras/kdf-keys/Makefile ===

PREFIX ?= /usr/local

all:
	$(CC) -O2 -o tomb-kdb-pbkdf2 pbkdf2.c -lgcrypt
	$(CC) -O2 -o tomb-kdb-pbkdf2-getiter benchmark.c -lgcrypt
	$(CC) -O2 -o tomb-kdb-pbkdf2-gensalt gen_salt.c -lgcrypt
	$(CC) -O2 -o tomb-kdb-hexencode hexencode.c

clean:
	rm -f tomb-kdb-pbkdf2 tomb-kdb-pbkdf2-getiter tomb-kdb-pbkdf2-gensalt tomb-kdb-hexencode

install:
	install -Dm755 tomb-kdb-pbkdf2 ${DESTDIR}${PREFIX}/bin/tomb-kdb-pbkdf2
	install -Dm755 tomb-kdb-pbkdf2-getiter ${DESTDIR}${PREFIX}/bin/tomb-kdb-pbkdf2-getiter
	install -Dm755 tomb-kdb-pbkdf2-gensalt ${DESTDIR}${PREFIX}/bin/tomb-kdb-pbkdf2-gensalt
	install -Dm755 tomb-kdb-hexencode ${DESTDIR}${PREFIX}/bin/tomb-kdb-hexencode
	@echo "Tomb-kdb auxiliary binaries installed in ${DESTDIR}${PREFIX}/bin"

=== extras/test/Makefile ===
# Run tests
#
# Copyright (c) 2011-2012 Mathias Lafeldt
# Copyright (c) 2005-2012 Git project
# Copyright (c) 2005-2012 Junio C Hamano
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/ .

SHELL := $(shell which zsh)
SHELL_PATH ?= $(SHELL)
SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))
RM ?= rm -f
PROVE ?= prove
AGGREGATE_SCRIPT ?= aggregate-results
DEFAULT_TEST_TARGET ?= test
TEST_OPTS ?= --verbose --immediate --root=/tmp/tomb/sharness

T = $(sort $(wildcard *.sh))

all: $(DEFAULT_TEST_TARGET)

test: pre-clean
	$(MAKE) aggregate-results-and-cleanup

prove: pre-clean
	@echo "*** prove ***"; $(PROVE) --exec '$(SHELL_PATH_SQ)' $(PROVE_OPTS) $(T) :: $(TEST_OPTS)

$(T):
	@echo "*** $@ ***"; '$(SHELL_PATH_SQ)' $@ $(TEST_OPTS)

pre-clean:
	$(RM) -r test-results

clean:
	$(RM) .prove

aggregate-results-and-cleanup: $(T)
	$(MAKE) aggregate-results
	$(MAKE) clean

aggregate-results:
	for f in test-results/*.counts; do \
		echo "$$f"; \
	done | '$(SHELL_PATH_SQ)' '$(AGGREGATE_SCRIPT)'

.PHONY: all test prove $(T) pre-clean clean
.PHONY: aggregate-results-and-cleanup aggregate-results

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PREFIX=/usr

%:
	dh $@

override_dh_auto_test:
	# Need network connection

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1" \
   https://github.com/dyne/Tomb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tomb 2.6+dfsg1

=== debian/changelog ===
tomb (2.6+dfsg1-2~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  [ Sven Geuer ]
  * Rebuild for buster-backports; no changes necessary.
    (Closes: #941745)

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 06 Oct 2019 22:44:16 +0200

tomb (2.6+dfsg1-2) unstable; urgency=medium

  * Team upload.
  [ Sven Geuer ]
  * Add patch d/patches/fix-unrecognized-eof.patch so tomb-kdb-pbkdf2
    reliably detects EOF on all architectures when reading in a password
    (Closes: #935197).
  * d/control:
    - Replace Build-Depends debhelper by debhelper-compat
  * d/compat:
    - Remove file in consequence of Build-Depends change

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 21 Aug 2019 20:15:10 +0200

tomb (2.6+dfsg1-1) unstable; urgency=medium

  * Team upload.
  [ Sven Geuer ]
  * New upstream release
    - Adapt d/patches/* to new release
  * Add further missing dependencies and correct existing ones
  * Make package lintian clean
    - Add debian/tests/* for autopkgtest
    - Fix for lintian info debian-watch-contains-dh_make-template
    - Add patch for three lintian infos spelling-error-in-manpage
  [ SZ Lin (林上智) ]
  * Remove unnecessary files in .pc
  * d/control:
    - Bump Standards-Version to 4.4.0
  * d/source/lintian-overrides
    - Remove unnecessary lintian-override
  * d/upstream/metadata:
    - Tidy content of metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 07 Aug 2019 16:55:52 +0800

tomb (2.5+dfsg1-3) UNRELEASED; urgency=medium

  * Team upload.
  [ Sven Geuer ]
  * Add several missing Recommends and Suggests (Closes: #924042).
    - gettext-base, lsof, dcfldd, qrencode, unoconv, steghide, swish-e
  * d/control:
    - Bump Standards-Version to 4.3.0
    - Bump DH version to 12
  * d/compat:
    - Bump compat to 12
  * d/copyright:
    - Normalize Copyright fields according to DEP-5
    - Update * copyright
    - Update debian/* copyright
  * Add kdf helper binaries to the package (Closes: #924043)
    - d/control:
      - Change Architecture to 'any'
      - Add required Build-Depends and Depends
    - Add d/patches/include-kdf-binaries.patch
    - d/rules:
      - Add overrides for dh_auto_clean/build/install
  * Fix default cipher
    - Add d/patches/fix-default-cipher.patch (Closes: #930782)
    - d/control:
      - Correct cipher mentioned in the description
  * Fix error messages on opening a new tomb (Closes: #931027)
    - Add d/patches/fix-errors-on-open.patch

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 24 Jun 2019 22:37:37 +0200

=== debian/control ===
Source: tomb
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 12),
         libgcrypt20-dev (>= 1.8.4)
Standards-Version: 4.4.0
Homepage: https://www.dyne.org/software/tomb/
Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/tomb

Package: tomb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cryptsetup-bin,
         e2fsprogs,
         file,
         gettext-base,
         gnupg,
         pinentry-curses | pinentry,
         sudo,
         zsh
Recommends: lsof
Suggests: dcfldd,
          qrencode,
          unoconv,
          steghide,
          swish-e
Description: crypto undertaker
 Tomb is a free and easy to operate desktop application for fairly strong
 encryption of personal files. A tomb is like a locked folder that can be
 transported and hidden in filesystems; its keys are password protected and can
 be kept separate, for instance keeping the tomb file in your computer's
 harddisk and the key file on a USB stick.
 .
 Tomb relies on dm-crypt (and cryptsetup) as an encryption backend using the
 aes-xts-plain64 cypher.

## tomb 2.7+dfsg2

=== extras/kdf-keys/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 	$(CC) -O2 -o tomb-kdb-pbkdf2-getiter benchmark.c -lgcrypt
 	$(CC) -O2 -o tomb-kdb-pbkdf2-gensalt gen_salt.c -lgcrypt
 	$(CC) -O2 -o tomb-kdb-hexencode hexencode.c
+
+test:
+	@echo "Running Tomb-kdb tests"
+	./test.sh
 
 clean:
 	rm -f tomb-kdb-pbkdf2 tomb-kdb-pbkdf2-getiter tomb-kdb-pbkdf2-gensalt tomb-kdb-hexencode

=== extras/dismissed/qt/Makefile ===
TARGETS_OPEN=tombqt/ui_open_tombfile.py tombqt/ui_open_keymethod.py tombqt/ui_open_success.py
TARGETS=tombqt/ui_create.py $(TARGETS_OPEN)

all: $(TARGETS)
test_create: tombqt/ui_create.py
	python2 -3 tombqt/create.py
test_open: $(TARGETS_OPEN)
	python2 -3 tombqt/open.py


tombqt/ui_create.py: tombqt/create.ui
	 pyuic4 create.ui -o tombqt/ui_create.py
tombqt/ui_open_tombfile.py: tombqt/open_tombfile.ui
	pyuic4 tombqt/open_tombfile.ui -o tombqt/ui_open_tombfile.py
tombqt/ui_open_keymethod.py: tombqt/open_keymethod.ui
	pyuic4 tombqt/open_keymethod.ui -o tombqt/ui_open_keymethod.py
tombqt/ui_open_success.py: tombqt/open_success.ui
	pyuic4 tombqt/open_success.ui -o tombqt/ui_open_success.py

clean:
	rm $(TARGETS)

.PHONY: test clean

=== debian/changelog ===
tomb (2.7+dfsg2-1) unstable; urgency=medium

  * Team upload.
  [ Samuel Henrique ]
  * Add d/salsa-ci.yml
  [ Sven Geuer ]
  * New upstream release
    - Adapt d/patches/* to new release
    - Remove patches adopted by upstream
      - fix-spelling-errors-in-manpage.patch
      - fix-unrecognized-eof.patch
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root field
  * d/copyright
    - Add various authors and licenses missing for upstream sources
    - Add various authors missing for d/*
    - Group files and authors by license
  * Switch to version dfsg2 of the repacked upstream tarball
    - Drop doc/LinuxHDEncSettings.txt from upstream due to uncertain
      licensing
    - Update Files-Excluded in d/copyright

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 07 Nov 2019 19:54:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 12),
          libgcrypt20-dev (>= 1.8.4)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.dyne.org/software/tomb/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/tomb

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=extras/kdf-keys

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=extras/kdf-keys

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=extras/kdf-keys

override_dh_auto_test:
	# Need network connection

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tomb-$1.tar.gz%,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1" \
   https://github.com/dyne/Tomb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tomb 2.8+dfsg1

=== debian/changelog ===
tomb (2.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2020-28638: A static string is injected as enryption key when
      pinentry-curses is used and $DISPLAY is non-empty.
      (Closes: #975084)
    - Adapt d/patches/* to new release.
    - Remove patch not required any more.
      - CVE-2020-28638.patch
    - Remove patches adopted by upstream.
      - fix-default-cipher.patch
      - fix-errors-on-open.patch
    - Add new patch to fix mistyped function call.
      - fix-typo-calling-pinentry_assuan_getpass.patch
  * Update d/copyright.
  * Update d/control.
    - Remove needless field Pre-Depends.
    - Bump Standards-Version to 4.5.1.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 27 Nov 2020 19:15:59 +0100

tomb (2.7+dfsg2-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add d/gbp.conf.

  [ Debian Janitor ]
  * Remove obsolete field Name from d/u/metadata.
  * Update Standards-Version to 4.5.0, no changes needed.

  [ Sven Geuer ]
  * Security upload (Closes: #974719).
    - CVE-2020-28638: A static string is injected as enryption key when
      pinentry-curses is used and $DISPLAY is non-empty.
  * Add myself as uploader.
  * Helper executables moved from /usr/lib to /usr/libexec.
  * Bump debhelper-compat to 13.
  * Update d/copyright.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 15 Nov 2020 00:27:31 +0100

## tomb 2.8.1+dfsg1

=== debian/changelog ===
tomb (2.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Adapt d/patches/* to new release.
    - Remove patches adopted by upstream.
      - fix-typo-calling-pinentry_assuan_getpass.patch
    - Adapt d/tests/test1 to new release.
      - Always redirect stderr to stdout with calling tomb.
  * Refactor d/tests/test1.
  * Update d/copyright.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 30 Nov 2020 18:43:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Sven Geuer <debmaint@g-e-u-e-r.de>
+Build-Depends: debhelper-compat (= 13),
          libgcrypt20-dev (>= 1.8.4)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.dyne.org/software/tomb/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
@@ -13,7 +14,6 @@
 
 Package: tomb
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          cryptsetup-bin,

=== debian/tests/control ===
Tests: test1
Depends: @
Restrictions: needs-root, isolation-container

## tomb 2.9%2Bdfsg1

=== debian/changelog ===
tomb (2.9+dfsg1-1.0antix1) unstable; urgency=medium

  * antiX buster build

 -- anticapitalista <antix@operamail.com>  Tue, 16 Feb 2021 20:44:31 +0200

tomb (2.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Adapt d/patches/* to new release.
    - Add btrfs-progs as Suggests dependency.
  * Update d/t/*
    - Rename d/t/test1 to d/t/create-and-use-a-tomb.
    - Extend test to use ext4 and btrfs as the tomb's file system.
  * Introduce d/NEWS.
  * Update d/copyright.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 09 Jan 2021 19:43:00 +0100

## tomb 2.9+dfsg1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	@echo "To install it in /usr/local together with its manpage use 'make install'."
 	@echo
 	@echo "To run Tomb one needs to have some tools installed on the system:"
-	@echo "Sudo, cryptsetup, pinentry and gnupg. Also wipe is recommended."
+	@echo "Sudo, cryptsetup, pinentry and gnupg."
 	@echo
 
 install:

=== extras/translations/Makefile ===
PREFIX ?= /usr/local
LOCALEDIR ?= ${PREFIX}/share/locale
TOMBFILE = LC_MESSAGES/tomb.mo

all:
	@rm -f tomb.pot
	@perl generate_translatable_strings.pl > tomb.pot
	@echo "Strings generated in tomb.pot"

.PHONY: install
install: es.mo ru.mo fr.mo de.mo sv.mo it.mo
	install -Dm644 es.mo ${DESTDIR}${LOCALEDIR}/es_ES/${TOMBFILE}
	install -Dm644 ru.mo ${DESTDIR}${LOCALEDIR}/ru_RU/${TOMBFILE}
	install -Dm644 fr.mo ${DESTDIR}${LOCALEDIR}/fr_FR/${TOMBFILE}
	install -Dm644 de.mo ${DESTDIR}${LOCALEDIR}/de_DE/${TOMBFILE}
	install -Dm644 sv.mo ${DESTDIR}${LOCALEDIR}/sv_SV/${TOMBFILE}
	install -Dm644 it.mo ${DESTDIR}${LOCALEDIR}/it_IT/${TOMBFILE}
	@echo "Translations installed."

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: clean
clean:
	@rm -f *.mo

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
          sudo,
          zsh
 Recommends: lsof
-Suggests: dcfldd,
+Suggests: btrfs-progs,
+          dcfldd,
           qrencode,
           unoconv,
           steghide,

=== debian/tests/control ===
Tests: create-and-use-a-tomb
Depends: btrfs-progs,
         @
Restrictions: needs-root,
              isolation-container

## tomb 2.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	make -C extras/test
 
 lint:
-	shellcheck -s zsh -e SC1073,SC1027,SC1072,SC1083,SC1009 tomb
+	shellcheck -s bash -e SC1058,SC1073,SC1072,SC1009 tomb

=== debian/changelog ===
tomb (2.10+dfsg-2) unstable; urgency=medium

  * d/watch:
    - Correct the repack suffix.
    - Drop unneeded quotes.
  * d/rules:
    - Drop override_dh_missing as --fail-missing is the default since
      DH compat level 13.
  * d/t/create-and-use-a-tomb:
    - Use 'ls /dev/loop-control' instead of 'losetup -f' to test for loop
      device availability (to make autopkgtest functioning again).
  * d/copyright:
    - Bump years to 2024 where needed.
  * d/control:
    - Bump Standards-Version to 4.7.0.
  * d/salsa-ci.yml:
    - Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 07 May 2024 10:51:20 +0200

tomb (2.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Adapt d/p/* to new release.
    - Add d/p/comparison-operator.patch to fix comparisons intended to happen
      numerically.
    - Add d/p/table-mimicking-lines.patch to render some table mimicking lines
      more nicely.
    - Add argon2 as Suggests dependency.
  * Update d/t/* to test various file systems and keys of both available
    types, pbkdf2 and argon2.
  * Add pwdsphinx as Suggests dependency.
  * Bump years in d/copyright to 2023 where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 25 Sep 2023 21:05:18 +0200

tomb (2.9+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Build-Depends: Drop versioned constraint on libgcrypt20-dev.

  [ Sven Geuer ]
  * Bump years in d/copyright to 2022 where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 14:52:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Sven Geuer <debmaint@g-e-u-e-r.de>
 Build-Depends: debhelper-compat (= 13),
-         libgcrypt20-dev (>= 1.8.4)
-Standards-Version: 4.5.1
+               libgcrypt20-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.dyne.org/software/tomb/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
@@ -25,8 +25,10 @@
          sudo,
          zsh
 Recommends: lsof
-Suggests: btrfs-progs,
+Suggests: argon2,
+          btrfs-progs,
           dcfldd,
+          pwdsphinx,
           qrencode,
           unoconv,
           steghide,

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,5 @@
 	dh_auto_install
 	dh_auto_install --sourcedirectory=extras/kdf-keys
 
+# Would need network connection
 override_dh_auto_test:
-	# Need network connection
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/tests/control ===
Tests: create-and-use-a-tomb
Depends: argon2,
         btrfs-progs,
         @
Restrictions: needs-root,
              isolation-container

## tomb 2.11%2Bdfsg

=== debian/changelog ===
tomb (2.11+dfsg-2) unstable; urgency=medium

  * d/control: Replace hard dependency on 'sudo' with 'sudo | doas'.
    Thanks to Matthias Geiger for providing a patch (Closes: #1092798).
  * d/t/*: Run autopkgtest twice using 'sudo' in one case and 'doas'
    in the other.
  * d/copyright: Bump copyright year to 2025 where required.
  * d/watch: Rework file for readability and drop filenamemangle option.
  * Apply 'wrap-and-sort -at'.

 -- Sven Geuer <sge@debian.org>  Fri, 17 Jan 2025 21:55:12 +0100

tomb (2.11+dfsg-1) unstable; urgency=medium

  * d/gbp.conf: Correct value of debian-branch to debian/unstable.
  * d/copyright:
    - Add directory extras/dismissed to File-Excluded.
    - Add a Comment field explaining Files-Excluded.
    - Add "Files: doc/tomb.1" stanza and the GFDL-1.1+ license.
  * New upstream version 2.11+dfsg.
  * d/p/*: Adapt patches to new release.
    - Drop table-mimicking-lines.patch, applied upstream.
    - Drop comparison-operator.patch, applied upstream.
    - Add remove-trailing-whitespace-from-cipher.patch.
    - Add include-cloak-scripts.patch.
  * d/rules:
    - Drop unneeded invocations of dh_auto_clean and dh_auto_build.
    - Install example cipher files for the cloak/uncloak commands.
  * d/t/*:
    - Simplify calls to tomb; stop calling it via 'zsh -e'.
    - Drop 2>&1 redirections, add allow-stderr to Restrictions instead.
    - Make output of test runs more readable by echoing comments.
    - Extend test to cover the commands 'cloak' and 'uncloak'.
  * d/copyright:
    - Update upstream's copyright years.
    - Update my email address to the d.o one.
  * d/control:
    - Update my email address to the d.o one.
    - Update Suggests; drop swish-e, add plocate and recoll.
    - Update Depends; add python3.
    - Update Homepage field.

 -- Sven Geuer <sge@debian.org>  Mon, 22 Jul 2024 22:15:16 +0200

## tomb 2.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,14 @@
 PROG = tomb
 PREFIX ?= /usr/local
 MANDIR ?= ${PREFIX}/share/man
+
+deps:
+	@if [ -r /etc/debian_version ]; then \
+	apt-get install -qy zsh cryptsetup file gnupg pinentry-curses; fi
+	@if [ -r /etc/fedora-release ]; then \
+	yum install -y zsh cryptsetup file gnupg pinentry-curses; fi
+	@if [ -r /etc/alpine-release ]; then \
+	apk add zsh cryptsetup file gpg pinentry-tty e2fsprogs findmnt; fi
 
 all:
 	@echo

=== doc/literate/Makefile ===
all:
	./shocco ../../tomb > index.html
	pygmentize -S default -f html > style.css

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Sven Geuer <debmaint@g-e-u-e-r.de>
+           Sven Geuer <sge@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgcrypt20-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://www.dyne.org/software/tomb/
+Homepage: https://dyne.org/tomb/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/tomb
 
@@ -22,17 +22,23 @@
          gettext-base,
          gnupg,
          pinentry-curses | pinentry,
+# TODO: python3 can get removed as soon as python3-minimal becomes Essential.
+# Technically python3-minimal would suffice here, alas it is not allowed as
+# a dependency. Call 'lintian-explain-tags depends-on-python-minimal' for
+# further details.
+         python3,
          sudo,
          zsh
 Recommends: lsof
 Suggests: argon2,
           btrfs-progs,
           dcfldd,
+          plocate,
           pwdsphinx,
           qrencode,
+          recoll,
+          steghide,
           unoconv,
-          steghide,
-          swish-e
 Description: crypto undertaker
  Tomb is a free and easy to operate desktop application for fairly strong
  encryption of personal files. A tomb is like a locked folder that can be

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,5 @@
          btrfs-progs,
          @
 Restrictions: needs-root,
+              allow-stderr,
               isolation-container

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tomb-$1.tar.gz%,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
   https://github.com/dyne/Tomb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tomb 2.12+dfsg

=== debian/changelog ===
tomb (2.12+dfsg-3) unstable; urgency=medium

  * d/NEWS: Point out changes to the KDF related command line options.
  * d/p/*.patch: Re-create modern DEP-3 headers removed by commit 42bbb576.
  * d/copyright: In GFDL-1.1 license, replace FSF postal address by URL.
  * d/gbp.conf: Specify upstream-branch.

 -- Sven Geuer <sge@debian.org>  Wed, 13 Aug 2025 23:07:34 +0200

tomb (2.12+dfsg-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 28 Jul 2025 06:43:39 +0800

tomb (2.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.
  * d/copyright: Update copyright year, and remove old GNU address.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 28 Jul 2025 05:46:09 +0800

## tomb 2.13%2Bdfsg

=== extras/cloak/Makefile ===
PREFIX ?= /usr/local

install:
	install -Dm755 cloakify.py ${DESTDIR}${PREFIX}/bin/cloakify
	install -Dm755 decloakify.py ${DESTDIR}${PREFIX}/bin/decloakify

=== extras/kdf-keys/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 PREFIX ?= /usr/local
 
 all:
-	$(CC) -O2 -o tomb-kdb-pbkdf2 pbkdf2.c -lgcrypt
-	$(CC) -O2 -o tomb-kdb-pbkdf2-getiter benchmark.c -lgcrypt
-	$(CC) -O2 -o tomb-kdb-pbkdf2-gensalt gen_salt.c -lgcrypt
-	$(CC) -O2 -o tomb-kdb-hexencode hexencode.c
+	$(CC) -O2 $(CFLAGS) -o tomb-kdb-pbkdf2 pbkdf2.c -lgcrypt
+	$(CC) -O2 $(CFLAGS) -o tomb-kdb-pbkdf2-getiter benchmark.c -lgcrypt
+	$(CC) -O2 $(CFLAGS) -o tomb-kdb-pbkdf2-gensalt gen_salt.c -lgcrypt
+	$(CC) -O2 $(CFLAGS) -o tomb-kdb-hexencode hexencode.c
 
 test:
 	@echo "Running Tomb-kdb tests"

## tomb 2.13+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	install -Dm755 ${PROG} ${DESTDIR}${PREFIX}/bin/${PROG}
 	install -Dm644 doc/${PROG}.1 ${DESTDIR}${MANDIR}/man1/${PROG}.1
 	@echo
-	@echo "Tomb is installed succesfully. To install language translations, make sure"
+	@echo "Tomb is installed successfully. To install language translations, make sure"
 	@echo "gettext is also installed, then 'cd extras/translations' and 'make install' there."
 	@echo
 	@echo "Look around the extras/ directory, it contains other interesting modules."

=== extras/gtk-tray/Makefile ===
PREFIX ?= /usr/local

all:
	$(CC) -I. `pkg-config --cflags libnotify gtk+-2.0` $(CFLAGS) -c tomb-gtk-tray.c
	$(CC) tomb-gtk-tray.o `pkg-config --libs  libnotify gtk+-2.0` -o tomb-gtk-tray

install:
	install -Dm666 gtkrc-2.0 ${DESTDIR}${PREFIX}/share/themes/tomb/gtk-2.0-key/gtkrc
	install -Dm666 monmort.xpm ${DESTDIR}${PREFIX}/share/themes/tomb/gtk-2.0-key/monmort.xpm

clean:
	rm -f *.o tomb-gtk-tray

=== extras/translations/Makefile ===
PREFIX ?= /usr/local
LOCALEDIR ?= ${PREFIX}/share/locale
TOMBFILE = LC_MESSAGES/tomb.mo

all:
	@rm -f tomb.pot
	@perl generate_translatable_strings.pl > tomb.pot
	@echo "Strings generated in tomb.pot"

.PHONY: install
install: de.mo es.mo fr.mo it.mo pt_BR.mo ru.mo sv.mo
	install -Dm644 de.mo ${DESTDIR}${LOCALEDIR}/de_DE/${TOMBFILE}
	install -Dm644 es.mo ${DESTDIR}${LOCALEDIR}/es_ES/${TOMBFILE}
	install -Dm644 fr.mo ${DESTDIR}${LOCALEDIR}/fr_FR/${TOMBFILE}
	install -Dm644 it.mo ${DESTDIR}${LOCALEDIR}/it_IT/${TOMBFILE}
	install -Dm644 pt_BR.mo ${DESTDIR}${LOCALEDIR}/pt_BR/${TOMBFILE}
	install -Dm644 ru.mo ${DESTDIR}${LOCALEDIR}/ru_RU/${TOMBFILE}
	install -Dm644 sv.mo ${DESTDIR}${LOCALEDIR}/sv_SV/${TOMBFILE}
	@echo "Translations installed."

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: clean
clean:
	@rm -f *.mo

=== debian/changelog ===
tomb (2.13+dfsg-1) unstable; urgency=medium

  * New upstream version 2.13+dfsg
  * d/p/*:
    - Adapt patches to new upstream release.
    - Add new patch fix-typo-in-manual-page.patch.

 -- Sven Geuer <sge@debian.org>  Mon, 18 Aug 2025 15:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Sven Geuer <sge@debian.org>
+           Sven Geuer <sge@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               libgcrypt20-dev
-Standards-Version: 4.7.0
+               libgcrypt20-dev,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://dyne.org/tomb/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/tomb.git
@@ -14,9 +14,7 @@
 
 Package: tomb
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         cryptsetup-bin,
+Depends: cryptsetup-bin,
          e2fsprogs,
          file,
          gettext-base,
@@ -27,9 +25,11 @@
 # a dependency. Call 'lintian-explain-tags depends-on-python-minimal' for
 # further details.
          python3,
-         sudo,
-         zsh
-Recommends: lsof
+         sudo | doas,
+         zsh,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: lsof,
 Suggests: argon2,
           btrfs-progs,
           dcfldd,

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,25 @@
 	dh $@
 
 override_dh_auto_clean:
-	dh_auto_clean
 	dh_auto_clean --sourcedirectory=extras/kdf-keys
 
 override_dh_auto_build:
-	dh_auto_build
 	dh_auto_build --sourcedirectory=extras/kdf-keys
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_auto_install --sourcedirectory=extras/kdf-keys
+	dh_auto_install --sourcedirectory=extras/cloak
 
 # Would need network connection
 override_dh_auto_test:
+
+# If 'nodoc' is absent from DEB_BUILD_OPTIONS, create an examples directory
+# holding cipher files for possible use with the cloak/uncloak commands.
+# We would prefer to do this via dh-exec if it would support dh_installdocs.
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+execute_after_dh_installdocs:
+	install \
+		-Dt debian/tomb/usr/share/doc/tomb/examples/cloak-ciphers \
+		-m 644 extras/cloak/ciphers/*
+endif

=== debian/tests/control ===
Tests: create-and-use-a-tomb-with-sudo,
Depends: argon2,
         btrfs-progs,
         sudo,
         @,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: create-and-use-a-tomb-with-doas,
Depends: argon2,
         btrfs-progs,
         doas,
         @,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

=== debian/watch ===
version=4
opts=\
	dversionmangle=s/\+dfsg\d*//,\
	repacksuffix=+dfsg \
https://github.com/dyne/Tomb/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
